Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Compile ocamldoc.opt with -linkall #5614

Closed
vicuna opened this issue May 15, 2012 · 1 comment

Comments

Projects
None yet
1 participant
@vicuna
Copy link

commented May 15, 2012

Original bug ID: 5614
Reporter: cookedm
Assigned to: @zoggy
Status: closed (set by @zoggy on 2012-05-15T09:00:02Z)
Resolution: fixed
Priority: normal
Severity: major
Platform: 64-bit
OS: OS X
OS Version: 10.7.4
Version: 3.12.1
Fixed in version: 4.00.0+dev
Category: ocamldoc

Bug description

Right now, ocamldoc.opt won't load native plugins that use standard library modules that it itself doesn't use. On OS X (10.7.4, 64-bit), at least, I get messages like

% ocamldoc.opt -i ../_build -g argot.cmxs
Error while loading file argot.cmxs:
error loading shared library: dlopen(../_build/argot.cmxs, 138): Symbol not found: _camlStack__pop_1043
Referenced from: /Users/dave/src/ocaml/argot/argot-1.0/_build/argot.cmxs
Expected in: flat namespace
in /Users/dave/src/ocaml/argot/argot-1.0/_build/argot.cmxs

Relinking ocamldoc.opt with -linkall (adding that flag to ocamldoc/Makefile to the $(OCAMLDOC_OPT) target) allows the above command to work without error.

I've checked, and I believe that ocamldoc.opt is the only tool in the OCaml source tree that uses Dynlink and isn't linked with -linkall.

Additional information

Patch attached to add -linkall.

File attachments

@vicuna

This comment has been minimized.

Copy link
Author

commented May 15, 2012

Comment author: @zoggy

Fixed in revision 12455. Thanks.

@vicuna vicuna closed this May 15, 2012

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.